## org.mortbay.cometd.client
Class BayeuxClient.Connect

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.CachedExchange
              org.mortbay.jetty.client.ContentExchange
                  org.mortbay.cometd.client.BayeuxClient.Exchange
                      org.mortbay.cometd.client.BayeuxClient.Connect

Enclosing class:
  BayeuxClient

    protected class BayeuxClient.Connect

extends BayeuxClient.Exchange

The Bayeux Connect exchange. Connect exchanges implement the long poll for Bayeux.

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.ContentExchange
`_contentLength, _encoding, _fileForUpload, _responseContent, _responseStatus`

Fields inherited from class org.mortbay.jetty.client.CachedExchange
`_responseFields`

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Method Summary
`protected void` `onConnectionFailed(Throwable ex)` Called when an exception was thrown during an attempt to open a connection
`protected void` `onException(Throwable ex)` Called when any other exception occurs during handling for the exchange
`protected void` `onExpire()` Called when no response has been received within the timeout.
`protected void` `onResponseComplete()` Called when the entire response has been received

Methods inherited from class org.mortbay.cometd.client.BayeuxClient.Exchange
`getBackoff, incBackoff, onResponseHeader, onResponseStatus, recycle, resend, setJson, setMessage`

Methods inherited from class org.mortbay.jetty.client.ContentExchange
`getFileForUpload, getResponseBytes, getResponseContent, getResponseStatus, onResponseContent, onRetry, setFileForUpload, writeResponseBytesTo`

Methods inherited from class org.mortbay.jetty.client.CachedExchange
`getResponseFields`

Methods inherited from class org.mortbay.jetty.client.HttpExchange

`addRequestHeader, addRequestHeader, cancel, configureListeners, getAddress, getEventListener, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRetryStatus, getScheme, getStatus, getURI, getVersion, isDone, onRequestCommitted, onRequestComplete, onResponseHeaderComplete, reset, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRetryStatus, setScheme, setURI, setURL, setVersion, setVersion, toString, waitForDone, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### onResponseComplete

    protected void onResponseComplete()
                               throws IOException

  Description copied from class: `HttpExchange`
  Called when the entire response has been received

  Overrides:
    `onResponseComplete` in class `BayeuxClient.Exchange`
  Throws:
    `IOException`

### onExpire

    protected void onExpire()

  Description copied from class: `HttpExchange`
  Called when no response has been received within the timeout.

  Overrides:
    `onExpire` in class `HttpExchange`

### onConnectionFailed

    protected void onConnectionFailed(Throwable ex)

  Description copied from class: `HttpExchange`
  Called when an exception was thrown during an attempt to open a connection

  Overrides:
    `onConnectionFailed` in class `HttpExchange`

### onException

    protected void onException(Throwable ex)

  Description copied from class: `HttpExchange`
  Called when any other exception occurs during handling for the exchange

  Overrides:
    `onException` in class `HttpExchange`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.